import express from 'express'

export interface QuestionData {
  type: string
  images?: Array<string>
  hashedImages?: Array<string>
}

export interface Question {
  Q: string
  A: string
  data: QuestionData
}

export interface Subject {
  Name: string
  Questions: Array<Question>
}

export interface DataFile {
  path: string
  name: string
  shouldSave: (recData: any) => boolean
}

export interface QuestionDb extends DataFile {
  data: Array<Subject>
}

export interface User {
  id: number
  pw: string
  created: Date
}

export interface ModuleType {
  app: express.Application
  dailyAction?: Function
}

export interface User {
  id: number
  pw: string
  pwRequestCount: number
  pwGotFromCID: number
  avaiblePWRequests: number
  loginCount: number
}

export interface Request extends express.Request {
  cookies: any
  session: any
  busboy: any
}
